kernel image updates and dependencies

Onno Benschop onno at itmaze.com.au
Wed Jun 25 22:26:36 BST 2008


On 26/06/08 04:27, Phillip Susi wrote:
> Onno Benschop wrote:
>> Hi,
>>
>> A recent update to the kernel in my Gutsy laptop, from 2.6.22-14.21 to
>> 2.6.22-15.54, prompted by Update Manager has caused VMware to stop
>> working.
>>
>> This is likely because the vmware modules have not yet been updated from
>> 2.6.22-14 to 2.6.22-15. I've lodged a bug about this:
>> https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/242505
>>
>> My question is this:
>>
>>     * How is it possible that this update was installed at all? Isn't
>>       this exact issue the reason we have dependencies at all?
>
> Because the kernel does not depend on vmware.  If you installed vmware
> from a package ( not in the repositories ) then that package must not
> be configured to properly depend on a specific kernel version.
>
VMware was installed from the gutsy partner repositories.

-- 
Onno Benschop

Connected via Optus B3 at S31°54'06" - E115°50'39" (Yokine, WA)
--
()/)/)()        ..ASCII for Onno..
|>>?            ..EBCDIC for Onno..
--- -. -. ---   ..Morse for Onno..

ITmaze   -   ABN: 56 178 057 063   -  ph: 04 1219 8888   -   onno at itmaze.com.au





More information about the Ubuntu-devel-discuss mailing list